Uploaded image for project: 'OptaPlanner'
  1. OptaPlanner
  2. PLANNER-146

Android support for OptaPlanner: don't use import java.beans.*

    XMLWordPrintable

Details

    Description

      Android doesn't accept any code that does this:

      import java.beans.BeanInfo;
      import java.beans.IntrospectionException;
      import java.beans.Introspector;
      import java.beans.PropertyDescriptor;
      

      See http://developer.android.com/reference/java/beans/package-summary.html

      Planner uses java.beans.* in SolutionDescriptor, EntityDescriptor and VariableDescriptor.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              gdesmet@redhat.com Geoffrey De Smet
              Votes:
              1 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: